<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head lang="en">
    <meta charset="UTF-8"/>
    <title data-th-text="#{registrars.edit}">AiW bearbeiten</title>
    <link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}"/>
    <link href = "https://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css" rel = "stylesheet">
    <script type="text/javascript" src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script type="text/javascript" src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script language="JavaScript">
        /*<![CDATA[*/
            var context = "[[@{/}]]";
        /*]]>*/

		$(function() {
            $("#address\\.street").autocomplete({
                //minLength: 3,
                delay: 500,
                source: function(request, response) {
                    $.ajax({
                        type: "POST",
                        url: context+"admin/geolocations/findAddress",
                        data: {address: request.term},
                        success: response,
                        dataType: "json"
                    });
                },
                select: function(event, ui) {
                    console.log(ui);

                    $("#address\\.street").val(ui.item.address.street);
                    $("#address\\.housenumber").val(ui.item.address.housenumber);
                    $("#address\\.zipCode").val(ui.item.address.zipCode);
                    $("#address\\.city").val(ui.item.address.city);

                    return false;
                },
            });

            $("#address\\.street").autocomplete().data("ui-autocomplete")._renderItem = function(ul, item) {
                var li = $("<li>");
                li.attr("data-value", item.id);
                li.append(item.address.fullAddress);
                li.appendTo(ul);

                return li;
            };

            $("#address\\.street").autocomplete().data("ui-autocomplete")._renderMenu = function(ul, items) {
                var that = this;
                $.each( items, function( index, item ) {
                    that._renderItemData( ul, item );
                });
            };
        });
    </script>
</head>
<body>
<div data-th-replace="fragments/nav::nav"></div>
<main>
    <form method="post" data-th-action="@{/persons/registrars/update}" data-th-object="${registrar}">
        <input type="hidden" data-th-field="*{id}"/>

        <fieldset data-th-replace="fragments/persons::fieldsetPersonalData"></fieldset>

        <fieldset data-th-replace="fragments/persons::fieldsetAddressData"></fieldset>
        <fieldset data-th-replace="fragments/persons::fieldsetContactData"></fieldset>

        <fieldset>
            <legend data-th-text="#{registrars.additionaldata}">Zusätzliche Daten</legend>
            <th:block data-th-replace="fragments/forms::date(field='kompasSubscription', fieldname='registrars.kompassubscription')"/>


            <label data-th-text="#{registrars.lateralentry}"></label>
            <div>
                <input type="radio" data-th-field="*{lateralEntry}" data-th-value="0" data-th-label="#{no}"/>
                <label for="lateralEntry1" data-th-text="#{registrars.lateralentry.false}">no</label>
                <input type="radio" data-th-field="*{lateralEntry}" data-th-value="1" data-th-label="#{yes}"/>
                <label for="lateralEntry2" data-th-text="#{registrars.lateralentry.true}">yes</label>
            </div>
            <div></div>
            <div data-th-text="#{registrars.preferredregions.explanation}"></div>
            <label for="preferredRegions" data-th-text="#{registrars.preferredregions}">Bevorzugte Regionen</label>
            <select data-th-field="*{preferredRegions}" multiple="multiple">
                <option value="">-----</option>
                <option data-th-each="region: ${regions}" data-th-value="${region.id}" data-th-text="${region.name}">Bevorzugte Region</option>
            </select>

            <label for="approvalVAHSTransmission" data-th-text="#{registrars.approvalVAHSTransmission}">approvalVAHSTransmission</label>
            <input type="date" data-th-field="*{approvalVAHSTransmission}"/>

            <label for="approvalKVSATransmission" data-th-text="#{registrars.approvalKVSATransmission}">approvalKVSATransmission</label>
            <input type="date" data-th-field="*{approvalKVSATransmission}"/>
        </fieldset>

        <fieldset>
            <legend>Anmerkungen</legend>
            <label for="notes" data-th-field="#{notes}">Anmerkungen</label>
            <textarea rows="10" cols="30" data-th-field="*{notes}" class="notes"></textarea>
        </fieldset>

        <p data-th-replace="fragments/snippets::save"/>
    </form>
</main>
</body>
</html>